Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Interface ExceptionListener

    public interface ExceptionListener

A callback to notify the application program when an exception occurs in a JE Daemon thread.

Method Summary
`void` | `exceptionThrown(ExceptionEvent event)` This method is called if an exception is seen in a JE Daemon thread.

Method Detail

### exceptionThrown

    void exceptionThrown(ExceptionEvent event)

  This method is called if an exception is seen in a JE Daemon thread.

  Parameters:
    `event` - the ExceptionEvent representing the exception that was thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.